net.sourceforge.pmd

## Class FileSelectorTest

- java.lang.Object
- - net.sourceforge.pmd.FileSelectorTest

-     public class FileSelectorTest
      extends Object

  Tests on FileSelector.
  Author:
    pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSelectorTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testUnwantedFile()` Test unwanted selection of a non source file.
    `void` | `testUnwantedJavaFile()` Test unwanted selection of a java file.
    `void` | `testWantedFile()` Test wanted selection of a source file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSelectorTest

          public FileSelectorTest()

  - ### Method Detail

    - #### testWantedFile

          public void testWantedFile()

      Test wanted selection of a source file.

    - #### testUnwantedFile

          public void testUnwantedFile()

      Test unwanted selection of a non source file.

    - #### testUnwantedJavaFile

          public void testUnwantedJavaFile()

      Test unwanted selection of a java file.

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.